{#
  Component Name: Comments
  Attributs:
  - comments (Array<Entity>)
#}
{% if comments is defined and comments %}
	<h2 class="title tile--2 title--underline">Commentaires</h2>

	<div class="comments fill">
		{% for comment in comments %}
			{% include 'components/comments/_comment.html.twig' with {
				'index': loop.index,
				'user_full_name': comment.user.firstName ~ ' ' ~ comment.user.lastName,
				'createdAt': comment.createdAt,
				'content': comment.content,
				'response': comment.response
			} %}
		{% endfor %}
	</div>
{% else %}
	<div class="comments none">
		{% include 'components/_alert.html.twig' with {
      'class': 'alert alert__info',
      'content': 'Cet article ne possède pas encore de commentaire.'
    } %}
	</div>
{% endif %}
